Bug 841127 - [rhevm] upgrading to V3 storage domains breaks backward compatibility scripts
[rhevm] upgrading to V3 storage domains breaks backward compatibility scripts
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Miki Kenneth
Haim
storage
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 04:42 EDT by Haim
Modified: 2016-02-10 11:44 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
All new storage domains created in Red Hat Enterprise Virtualization 3.1 must be of type "V3". This causes existing scripts that call the REST API to create storage domains, specifying type "V2" to fail.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 11:10:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-18 04:42:59 EDT
Description of problem:

as per our upgrading of storage domain format from v2 to v3 domains, we need to consider that it may break backward compatibility REST scripts while in the past, we were required to pass v2 and now we fail to do so upon creation of new 3.1 storage domain as v3 is required. 

we need to document this case.
Comment 1 Stephen Gordon 2012-08-09 09:39:37 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
All new storage domains created in Red Hat Enterprise Virtualization 3.1 must be of type "V3". This causes existing scripts that call the REST API to create storage domains, specifying type "V2", to fail.
Comment 2 Itamar Heim 2012-08-13 11:10:40 EDT
closing - release note bugs are monitored by their flag, not status

Note You need to log in before you can comment on or make changes to this bug.